use indexmap::IndexMap;

mod parser;
mod tags;

#[derive(Clone, Debug)]
pub struct CyberWaifuTags {
    tags: IndexMap<String, f32>,
    ratio: f32,
}

impl Default for CyberWaifuTags {
    fn default() -> Self {
        Self { tags: IndexMap::default(), ratio: 0.618 }
    }
}
